# This file created by conda-build 3.24.0
# ------------------------------------------------

package:
  name: numpy-base
  version: 1.22.3
source:
  patches:
    - patches/0001-Obtain-and-prefer-custom-gfortran-from-env-variable.patch
    - patches/0002-intel_mkl-version.patch
    - patches/0003-intel_init_mkl.patch
    - patches/0004-disable-autorun-for-cmd-test.patch
    - patches/0005-array_coercion_fix.patch
    - patches/0006-popcnt_fix.patch
  sha256: a906c0b4301a3d62ccf66d058fe779a65c1c34f6719ef2058f96e1856f48bca5
  url: https://github.com/numpy/numpy/releases/download/v1.22.3/numpy-1.22.3.tar.gz
build:
  entry_points:
    - f2py = numpy.f2py.f2py2e:main
  number: 2
  string: py39h46c4fa8_2
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2023.01.10 haa95532_0
    - certifi 2022.12.7 py39haa95532_0
    - cython 0.29.33 py39hd77b12b_0
    - intel-openmp 2023.1.0 h59b6b97_46319
    - mkl 2023.1.0 h8bd8f75_46356
    - mkl-devel 2023.1.0 h74d85ca_46356
    - mkl-include 2023.1.0 haa95532_46356
    - openssl 1.1.1t h2bbff1b_0
    - pip 23.0.1 py39haa95532_0
    - python 3.9.16 h6244533_2
    - setuptools 58.0.4 py39haa95532_0
    - sqlite 3.41.2 h2bbff1b_0
    - tbb 2021.8.0 h59b6b97_0
    - tzdata 2023c h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.38.4 py39haa95532_0
    - wincertstore 0.2 py39haa95532_2
  run:
    - blas 1.0 mkl
    - mkl >=2023.1.0,<2024.0a0
    - mkl-service >=2.3.0,<3.0a0
    - python >=3.9,<3.10.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
test:
  commands:
    - IF NOT EXIST %SP_DIR%\numpy\distutils\site.cfg exit 1
about:
  description: 'NumPy is the fundamental package needed for scientific computing with
    Python.

    '
  dev_source_url: https://github.com/numpy/numpy/tree/master/doc
  dev_url: https://github.com/numpy/numpy
  doc_url: https://docs.scipy.org/doc/numpy/reference/
  home: https://numpy.org/
  license: BSD-3-Clause
  license_file: LICENSE.txt
  lisense_family: BSD
  summary: Array processing for numbers, strings, records, and objects.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - chenghlee
    - jakirkham
    - msarahan
    - ocefpaf
    - pelson
    - rgommers
